## golang-github-multiformats-go-multihash 0.2.3

=== test/Makefile ===
all: deps

deps:
	cd sharness && make deps

clean:
	cd sharness && make clean

test: test_expensive

test_expensive:
	cd sharness && make TEST_EXPENSIVE=1

test_cheap:
	cd sharness && make

.PHONY: all clean

=== test/sharness/Makefile ===
# Run tests
#
# Copyright (c) 2014 Christian Couder
# MIT Licensed; see the LICENSE file in this repository.
#

# NOTE: run with TEST_VERBOSE=1 for verbose sharness tests.

T = $(sort $(wildcard t[0-9][0-9][0-9][0-9]-*.sh))
BINS = bin/multihash
SHARNESS = lib/sharness/sharness.sh
MULTIHASH_CMD = ../../multihash
MULTIHASH_ROOT = ../../

all: clean deps $(T) aggregate

clean:
	@echo "*** $@ ***"
	-rm -rf test-results
	-rm -rf $(BINS)

$(T):
	@echo "*** $@ ***"
	./$@

aggregate:
	@echo "*** $@ ***"
	lib/test-aggregate-results.sh

deps: $(SHARNESS) $(BINS)

$(SHARNESS):
	@echo "*** installing $@ ***"
	lib/install-sharness.sh

bin/multihash: $(MULTIHASH_ROOT)/**/*.go
	go build -o bin/multihash $(MULTIHASH_CMD)

bins: $(BINS)

.PHONY: all clean $(T) aggregate

=== debian/changelog ===
golang-github-multiformats-go-multihash (0.2.3-1) unstable; urgency=medium

  * Initial release (Closes: #1108199)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 22 Jun 2025 17:58:59 -0400

=== debian/control ===
Source: golang-github-multiformats-go-multihash
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-mr-tron-base58-dev,
 golang-github-multiformats-go-varint-dev,
 golang-github-spaolacci-murmur3-dev,
 golang-golang-x-crypto-dev,
 golang-lukechampine-blake3-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-multiformats-go-multihash
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-multiformats-go-multihash.git
Homepage: https://github.com/multiformats/go-multihash
XS-Go-Import-Path: github.com/multiformats/go-multihash

Package: golang-github-multiformats-go-multihash-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-mr-tron-base58-dev,
 golang-github-multiformats-go-varint-dev,
 golang-github-spaolacci-murmur3-dev,
 golang-golang-x-crypto-dev,
 golang-lukechampine-blake3-dev,
 ${misc:Depends}
Description: Go implementation of the Multihash format (development files)
 Multihash is a protocol that describes a hash digest using a self-describing
 format. It prefixes the hash with an identifier for the hashing algorithm and
 the length of the digest in bytes. This allows systems to handle various
 hashing algorithms in a unified way, providing flexibility and future-proofing
 without requiring prior knowledge of the specific hash function used.
 .
 This library provides functions for encoding and decoding Multihash values,
 summing data with various cryptographic hash functions into Multihash
 format, and verifying Multihash integrity.
 .
 It is a foundational component of content-addressed systems like IPFS,
 which rely on self-describing data for distributed and decentralized
 content verification.
 .
 This package contains the source code for the Go Multihash library,
 intended for use by other Go packages during compilation.

Package: go-multihash
Section: admin
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Static-Built-Using: ${misc:Static-Built-Using}
Description: Go implementation of the Multihash format (program)
 Multihash is a protocol that describes a hash digest using a self-describing
 format. It prefixes the hash with an identifier for the hashing algorithm and
 the length of the digest in bytes. This allows systems to handle various
 hashing algorithms in a unified way, providing flexibility and future-proofing
 without requiring prior knowledge of the specific hash function used.
 .
 This library provides functions for encoding and decoding Multihash values,
 summing data with various cryptographic hash functions into Multihash
 format, and verifying Multihash integrity.
 .
 It is a foundational component of content-addressed systems like IPFS,
 which rely on self-describing data for distributed and decentralized
 content verification.
 .
 This package contains the 'multihash' executable command-line usage.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_install:
	dh_install -X t0030-lib

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/multiformats/go-multihash/tags .*/v?(\d\S*)\.tar\.gz debian
